Skip to content
Ordinal
Esc
↑↓navigate↵open⌘Jpreview

Create slack boost

Create a slack boost for a post. When the post publishes, Ordinal sends a notification to the selected Slack channel. Each post can have at most one slack boost. Use a slackWebhookId from a connected Slack marketing boost channel.

POST/slack-boosts
Authorization
AuthorizationBearer token · headerrequired

API key authentication. Generate an API key from your workspace settings.

Request body
requiredapplication/json
postIdstring<uuid>required

The ID of the post to attach the slack boost to

slackWebhookIdstring<uuid>required

The ID of the Slack webhook (channel) to send notifications to

copystring

Optional custom message included in the Slack notification

Responses
200

Slack boost created

slackBoostSlackBoost

A slack boost sends a Slack notification when its post publishes

Show properties
idstring<uuid>
copystring | null

Optional custom message in the Slack notification

isAutoCreatedboolean

True when the boost was added automatically via channel auto-boost

postIdstring<uuid>
slackWebhookSlackWebhookSummary

Slack channel (webhook) targeted by a slack boost

Show properties
idstring<uuid>
channelNamestring | null
teamNamestring | null
createdAtstring<date-time>
updatedAtstring<date-time>
400

Bad Request - Invalid input parameters

codestring
messagestring
dataobject
Show properties
errorsobject
401

Unauthorized - Missing or invalid API key

codestring
messagestring
404

Not Found - Resource does not exist

codestring
messagestring
Try it
Server
Authorization
Bodyapplication/json
Request
curl -X POST 'https://app.tryordinal.com/api/v1/slack-boosts' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{
  "postId": "550e8400-e29b-41d4-a716-446655440300",
  "slackWebhookId": "550e8400-e29b-41d4-a716-446655440920",
  "copy": "New post — please like and share!"
}'
Response
{
  "slackBoost": {
    "id": "550e8400-e29b-41d4-a716-446655440910",
    "copy": "New post — please like and share!",
    "isAutoCreated": false,
    "postId": "550e8400-e29b-41d4-a716-446655440300",
    "slackWebhook": {
      "id": "550e8400-e29b-41d4-a716-446655440920",
      "channelName": "marketing-boost",
      "teamName": "Acme Corp"
    },
    "createdAt": "2026-01-15T10:30:00.000Z",
    "updatedAt": "2026-01-15T10:30:00.000Z"
  }
}